package com.ssj.service.weixin.card.service;

import com.ssj.bean.weixin.card.domain.LibCardDetail;
import com.ssj.framework.core.common.service.BaseService;

import java.util.List;


public interface ILibCardService extends BaseService<LibCardDetail, String>{

	LibCardDetail findByCardIdAndUserCardCode(String cardId, String userCardCode);
	LibCardDetail findByUserCardCode( String userCardCode);

	List<LibCardDetail> findByOpenIdAndCardId(String cardId, String openid,String stat);
	/**
	 * 修改code属性
	* @param cardStat
	* @param cardId
	* @param userCardCode
	* 创建人：ZhangCaibao 
	* 2017年12月18日 下午4:18:47 
	* @void
	 */
	public void updateCardStatByCarIdAndUserCardCode(String cardStat,String cardId,String userCardCode);
}
